@import '../../colors';

.details {
  font-family: sans-serif;

  .job_hooks {
    display: block;
    padding-bottom: 0.5em;

    .expander {
      align-content: flex-start;

      i {
        vertical-align: middle;
        cursor: pointer;
      }

      i.disabled {
        color: #ddd;
      }
    }

    label.endpoint {
      font-weight: bold;
      display: inline-block;
      padding-bottom: 0.3em;
    }

    .ok {
      color: @green;
    }

    .error {
      color: @red;
    }
  }

  .status_hook  {
    label.endpoint,
    span.endpoint {
      font-weight: bold;
    }

    label.endpoint {
      width: 200px;
    }

    span.condition,
    span.timestamp {
      width: 200px;
      padding-left: 1.5em;
    }

    label,
    span {
      display: inline-block;
    }
  }

  .status {
    padding: 5px 0px;
    font-weight: bold;

    label {
      width: 85px;
    }

    label,
    span {
      display: inline-block;
    }

    span.completed {
      color: @green;
    }
    span.processing {
      color: @blue;
    }
    span.skipped {
      color: @grey;
    }
    span.error {
      color: @darkRed;
    }
    span.stopped {
      color: @yellow;
    }
    span.queued {
      color: @purple;
    }
  }

  .duration,
  .times,
  .worker {
    padding: 5px 0px;

    span {
      display: inline-block;
    }

    .label {
      width: 160px;
      vertical-align: top;
    }
  }

  pre {
    background-color: #555;
    color: #fff;
    padding: 10px;
    border-radius: 10px;
  }
}
